Launching cleanup recovery action for a recovery runbook
Cleanup recovery action will delete the recovered resources for a recovery runbook
- application/json
Request Body
recoveryOptions object
recoveryPointCategory RunbookRecoveryPointCategoryPossible values: [
LATEST,POINT_IN_TIME,AUTOMATIC,SYNTHETIC]Default value:
LATESTrecoverWithMalwareFiles booleanDefault value:
falseA boolean that indicates whether to restore malware files for forensic analysis during recovery
recoverWithEncryptedFiles booleanDefault value:
falseA boolean that indicates whether to restore encrypted files for forensic analysis during recovery
- recoveryPoint int32
Job-level recovery timestamp to be used for recovery. If not set, it inherits from the resource level; otherwise, from the recovery runbook.
runbook object
id int32name stringresources object[]
id int32name stringthreatScan object
enableThreatScan booleanDefault value:
falseA boolean that indicates whether threat scan is required
enableWindowsDefenderScan booleanDefault value:
falseA boolean that specifies whether a windows defender scan is required
defenderScanType CRRDefenderScanTypePossible values: [
QUICK = 1,FULL = 2]
- 200
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- jobId int32
{
"jobId": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}